//+------------------------------------------------------------------+
//|                                                       TestEA.mq4 |
//|                                  Copyright  2011, Zdenek Hubner |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Zdenek Hubner"
#property link      ""

extern bool AlertEnabled = true;
extern bool TradeEnabled = false;

bool isDemo;

// inicializace strategie
int init()
{  
   string msg;
   
   isDemo = IsDemo();
   
   if(isDemo)
   {
      msg = StringConcatenate("Inicializuji strategii ", WindowExpertName());  
   }
   else
   {
      msg = StringConcatenate("Testovac strategii ", WindowExpertName(), " lze pouvat pouze na Demo tu.\nStrategie nebude proto funkn.");
   }

   MessageBox(msg, "Informace");
   
   return(0);
}

// deinicializace strategie
int deinit()
{
   Comment("");
   return(0);
}

// bh strategie
int start()
{
   if(isDemo)
   {
      string msg;
      msg = StringConcatenate("Strategie ", WindowExpertName(), " je sputna");   
      msg = StringConcatenate(msg, ", ASK/BID cena je ", Ask, "/", Bid);

      // kontrola povolen obchodovn
      if(IsTradeAllowed())
      {
         msg = StringConcatenate(msg, "\n", "Obchodovn je povoleno");
      }
      else
      {
         if(IsTradeContextBusy())
         {
            msg = StringConcatenate(msg, "\n", "Obchodovn nen mon, protoe vlkno pro obchodovn je zaneprzdnn");
         }
         else
         {
            msg = StringConcatenate(msg, "\n", "Obchodovn je zakzno");
         }
      }
   
      // kontrola import DLL funkc
      if(IsDllsAllowed())
      {
         msg = StringConcatenate(msg, "\n", "Import funkc DLL je povolen");
      }
      else
      {
         msg = StringConcatenate(msg, "\n", "Import funkc DLL je zakzn");
      }

      Comment(msg);
   
      if(AlertEnabled)
      {
         Alert(msg);
      }
   
      if(TradeEnabled)
      {
         int nc = OrdersTotal();
         if(nc == 0)
         {
            int ticketId = OrderSend(Symbol(), OP_BUY, MarketInfo(Symbol(), MODE_MINLOT), Ask, 0, 0, 0);
            if(ticketId == -1)
            {
               MessageBox("Chyba pi otevrn pokynu, chyba .: " + GetLastError());
            }
         }
      }
   }
   return(0);
}